| Wireshark 4.7.3 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Public Attributes | List of all members
_ext_toolbar_t Struct Reference

Represents a node in the plugin-registered toolbar tree (bar or item). More...

`#include <plugin_if.h>`

## Public Attributes
ext_toolbar_entry_t | type
GList * | children
unsigned | submenu_cnt
unsigned | item_cnt
char * | name
char * | defvalue
char * | tooltip
void * | user_data
bool | is_required
bool | capture_only
ext_toolbar_item_t | item_type
GList * | values
char * | regex
ext_toolbar_action_cb | callback

## Detailed Description

Represents a node in the plugin-registered toolbar tree (bar or item).

## Member Data Documentation

## ◆ callback

ext_toolbar_action_cb _ext_toolbar_t::callback

Callback invoked when the item value or button state changes

## ◆ capture_only

bool _ext_toolbar_t::capture_only

True if this item is enabled during capture only

## ◆ children

GList* _ext_toolbar_t::children

Ordered list of child ext_toolbar_t nodes (bar nodes only)

## ◆ defvalue

char* _ext_toolbar_t::defvalue

Default value string applied on initialisation

## ◆ is_required

bool _ext_toolbar_t::is_required

True if a value must be provided before capture can start

## ◆ item_cnt

unsigned _ext_toolbar_t::item_cnt

Number of direct item children

## ◆ item_type

ext_toolbar_item_t _ext_toolbar_t::item_type

Widget type for this item (see ext_toolbar_item_t)

## ◆ name

char* _ext_toolbar_t::name

Internal identifier name for this toolbar or item

## ◆ regex

char* _ext_toolbar_t::regex

Optional regular expression used to validate string input

## ◆ submenu_cnt

unsigned _ext_toolbar_t::submenu_cnt

Number of direct toolbar-bar children

## ◆ tooltip

char* _ext_toolbar_t::tooltip

Tooltip text shown on hover, or NULL

## ◆ type

ext_toolbar_entry_t _ext_toolbar_t::type

Node type: toolbar bar or item

## ◆ user_data

void* _ext_toolbar_t::user_data

Caller-supplied context pointer forwarded to `callback`

## ◆ values

GList* _ext_toolbar_t::values

Ordered list of ext_toolbar_value_t entries (selector items only)

The documentation for this struct was generated from the following file:

- /builds/wireshark/wireshark/ui/plugins/include/plugin_if.h